summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2018-10-07 19:57:13 +0200
committerJeroen Roovers <jer@gentoo.org>2018-10-07 19:57:31 +0200
commit33aa027eb4657f3400bd115a56e272481a760d86 (patch)
treed25726a549ff8ba224a987c953e082dc24db449b /media-fonts
parentmedia-sound/snapcast: drop unused description for USE=test (diff)
downloadgentoo-33aa027eb4657f3400bd115a56e272481a760d86.tar.gz
gentoo-33aa027eb4657f3400bd115a56e272481a760d86.tar.bz2
gentoo-33aa027eb4657f3400bd115a56e272481a760d86.zip
media-fonts/unifont: Version 11.0.02.
Package-Manager: Portage-2.3.50, Repoman-2.3.11 Signed-off-by: Jeroen Roovers <jer@gentoo.org>
Diffstat (limited to 'media-fonts')
-rw-r--r--media-fonts/unifont/Manifest1
-rw-r--r--media-fonts/unifont/files/11.0.02-make.patch11
-rw-r--r--media-fonts/unifont/unifont-11.0.02.ebuild65
3 files changed, 77 insertions, 0 deletions
diff --git a/media-fonts/unifont/Manifest b/media-fonts/unifont/Manifest
index 10223c58426..3944240bd90 100644
--- a/media-fonts/unifont/Manifest
+++ b/media-fonts/unifont/Manifest
@@ -1,4 +1,5 @@
DIST unifont-10.0.04.tar.gz 15651848 BLAKE2B 6308298244c45b51647e7eeb41cf19e085be89677688402b3fa384f423c27cb666ad8254ab98d052a93e5f928f490890d767fd96fe4c963f6f628cf14c3d9983 SHA512 0f9bb622e469ed340cc5ff465f6922b32eed2115014cad3ff445e8b17cedbf7c4c7f0025825e14ec4d046d9a28edb6a90eb9d9e402c38ed22b10303141f473b9
DIST unifont-10.0.05.tar.gz 15645240 BLAKE2B 2707891d66e7ee71b3bf68aa63ebfb303c6f2f85f39a48fb281484fedccfef02d76b05d9ce5ee5305c39336f26750dbf4b766db700b8f1a87046328be171efd7 SHA512 fa9ee669ecebf8ae86d4b972e66997fa8455ee37c0e95b3528394e7e10046fc0083950fca2fe84b265ae6066bbc9ed02dde1d7795f2fa5f34bdf8ffa47ecc042
DIST unifont-10.0.06.tar.gz 15651257 BLAKE2B e146ffe9ab591e5d90d399d37e068f0c3002a67699698b3f6b22a14ca91fe0415a507d855b56caae4e50183d97978667edca2fa2095209abbc7d02a4f17c20b8 SHA512 36f1eed24b37aad2f2ef100c8d2be01363a5438e76771e9ae82fa61ce58a4dd51566063b8e7b1265696cfe2335f1017842fecac2a5a801913f82ac9bf24caa54
+DIST unifont-11.0.02.tar.gz 15874967 BLAKE2B ee3c887ae441e70a95aad9a8f11d955ef848a5d4921d9c4c340d2f91a4c795503f2ef514bae93899591978afb797bee9d03bc222801f7d2daed199fb6045769b SHA512 d0dc8ce079feb282f53c444df5819751a7c97788feed480dc5c5b8a239c8cc13ef258876ffe2830994e404c0a6f524481a405b273c7341703ceef5854c12a68d
DIST unifont-9.0.06.tar.gz 14785468 BLAKE2B 9d2328eb8918e9af82235279b9d01bb3a0487480123f77d8d7a4618742c0938a3f62c33b7b148657ab83c7e6a79209ac959d4875b686083fb15167b254c8fa81 SHA512 767dc107d9a33008116b6939facbf31db6c7942acad257ad52a1a249f04b6215b41da928ef00e8308c2cc19924257cb0219d4eddd2b99502621ebd82e8673988
diff --git a/media-fonts/unifont/files/11.0.02-make.patch b/media-fonts/unifont/files/11.0.02-make.patch
new file mode 100644
index 00000000000..fa4e8aebb67
--- /dev/null
+++ b/media-fonts/unifont/files/11.0.02-make.patch
@@ -0,0 +1,11 @@
+--- a/font/Makefile
++++ b/font/Makefile
+@@ -247,7 +247,7 @@
+ # as a baseline. Remove the Plane 1 Copyleft glyph from the Plane 0
+ # set of hex files.
+ #
+-coverage:
++coverage: hex
+ grep -v "^01F12F" $(COMPILED_DIR)/unifont_csur_lower-$(VERSION).hex \
+ > $(COMPILED_DIR)/unifont_all-$(VERSION).hex
+ sort plane0[1-E]/*.hex plane0Fcsur/*.hex | grep -v "^0020:" \
diff --git a/media-fonts/unifont/unifont-11.0.02.ebuild b/media-fonts/unifont/unifont-11.0.02.ebuild
new file mode 100644
index 00000000000..54818db00cf
--- /dev/null
+++ b/media-fonts/unifont/unifont-11.0.02.ebuild
@@ -0,0 +1,65 @@
+# Copyright 1999-2018 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit font toolchain-funcs xdg-utils
+
+DESCRIPTION="GNU Unifont - a Pan-Unicode X11 bitmap iso10646 font"
+HOMEPAGE="http://unifoundry.com/"
+SRC_URI="mirror://gnu/${PN}/${P}/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~x86-fbsd"
+IUSE="fontforge utils"
+
+DEPEND="
+ fontforge? (
+ app-text/bdf2psf
+ dev-lang/perl
+ dev-perl/GD[png(-)]
+ media-gfx/fontforge
+ x11-apps/bdftopcf
+ )
+"
+RDEPEND="
+ utils? (
+ dev-lang/perl
+ dev-perl/GD[png(-)]
+ )
+"
+
+PATCHES=(
+ "${FILESDIR}"/11.0.02-make.patch
+)
+
+src_prepare() {
+ sed -i -e 's/install -s/install/' src/Makefile || die
+ default
+}
+
+src_compile() {
+ if use fontforge || use utils; then
+ tc-export CC
+ xdg_environment_reset
+ makeargs=(
+ CFLAGS="${CFLAGS}"
+ BUILDFONT=$(usex fontforge 1 '')
+ )
+ emake "${makeargs[@]}"
+ fi
+}
+
+src_install() {
+ makeargs+=(
+ DESTDIR="${ED%/}"
+ PCFDEST="${ED%/}${FONTDIR}"
+ TTFDEST="${ED%/}${FONTDIR}"
+ USRDIR=usr
+ )
+ use utils || makeargs+=( -C font )
+ emake "${makeargs[@]}" install
+ font_xfont_config
+ font_fontconfig
+}